Hooks:PostHook(WeaponTweakData, "init", "Tar21ModInit", function(self)
if ( self.tar21 ) then
if self.new_m4.reload_timed_stance_mod then
	self.tar21.reload_timed_stance_mod = {
		empty = {
			hip = {
				{t = 1.4, translation = Vector3(-20, 13, 2), rotation = Rotation(-20, -10, -10), speed = 0.5},
				{t = 0.1, translation = Vector3(0, 0, 0), rotation = Rotation(0, 0, 0), speed = 0.5}
			}
		}
	}
end
end
if self.SetupAttachmentPoint then
	self:SetupAttachmentPoint( "tar21", {
		name = "a_b_star",
		base_a_obj = "a_b",
		position = Vector3(0, -28, 0.2)
	})
	self:SetupAttachmentPoint( "tar21", {
		name = "a_b",
		base_a_obj = "a_b",
		position = Vector3(0, -35.1, 0.2)
	})
	self:SetupAttachmentPoint( "tar21", {
		name = "a_b_ctar",
		base_a_obj = "a_b",
		position = Vector3(0, -42.2, 0.2)
	})
	self:SetupAttachmentPoint( "tar21", {
		name = "a_o",
		base_a_obj = "a_o",
		position = Vector3(0, 1, -1.1)
	})
	self:SetupAttachmentPoint( "tar21", {
		name = "a_fl",
		base_a_obj = "a_fl",
		position = Vector3(0.2, 0, 2.8),
		rotation = RotationCAP(0, 0, 5)
	})
end
end)